import React from 'react';
import { ControlElement, JsonFormsRendererRegistryEntry, JsonFormsState, JsonSchema, UISchemaElement, UISchemaTester } from '@jsonforms/core';
import { JsonFormsStateContext } from '@jsonforms/react';
export interface OwnPropsOfSpectrumArrayItem {
    index: number;
    expanded: number | undefined;
    path: string;
    schema: JsonSchema;
    handleExpand(index: number): () => void;
    removeItem(path: string, value: number): () => void;
    uischema: ControlElement;
    renderers?: JsonFormsRendererRegistryEntry[];
    uischemas?: {
        tester: UISchemaTester;
        uischema: UISchemaElement;
    }[];
    childLabel?: string;
}
/**
 * Map state to control props.
 * @param state the store's state
 * @param ownProps any own props
 * @returns {StatePropsOfControl} state props for a control
 */
export declare const mapStateToSpectrumArrayItemProps: (state: JsonFormsState, ownProps: OwnPropsOfSpectrumArrayItem) => OwnPropsOfSpectrumArrayItem;
export declare const ctxToSpectrumArrayItemProps: (ctx: JsonFormsStateContext, ownProps: OwnPropsOfSpectrumArrayItem) => OwnPropsOfSpectrumArrayItem;
export declare const withJsonFormsSpectrumArrayItemProps: (Component: React.ComponentType<OwnPropsOfSpectrumArrayItem>) => React.ComponentType<any>;
declare const _default: React.ComponentType<any>;
export default _default;
